Subject: Re: [Slim] [Technical Errata Reported] RFC8373 (5374)

From: Dan Chiba <[email-masked]>
Date: Fri, 1 Jun 2018 08:55:19 -0700

Hi Alexey,

Thank you for your help. Section 5.4. (unchanged)

<says>
    An offer or answer indicating written Greek both ways:

       m=text 45020 RTP/AVP 103 104
       a=hlang-send:gr
       a=hlang-recv:gr

Similarly, Spanish is referred to as "sp".
</says>4

<It should say>
    An offer or answer indicating written Greek both ways:

       m=text 45020 RTP/AVP 103 104
       a=hlang-send:el
       a=hlang-recv:el

An occurrence of "sp" as a language tag should be replaced with "es".
</It should say>

<note>
The language tags to represent Greek and Spanish are "el" and "es" per 
BCP 47, respectively.

The IANA Language Subtag Registry has the following entries:

Type: language
Subtag: el
Description: Modern Greek (1453-)
Added: 2005-10-16

Type: language
Subtag: es
Description: Spanish
Added: 2005-10-16

https://www.iana.org/assignments/language-subtag-registry/language-subtag-registry 

</note>

Regards,
Dan

On 5/31/2018 9:04 PM, Alexey Melnikov wrote:
> Hi Dan,
>
>> On 1 Jun 2018, at 02:02, Dan Chiba <[email-masked]> wrote:
>>
>> Hi Randall,
>>
>> I actually noticed that similarly it says "sp" for Spanish but it should be "es".
>>
>> The editor site doesn't seem to allow editing an errata. Can we update it somehow to include Spanish?
>> I could certainly file another but feel it better to update this if possible. Could you or someone on the list advise?
> Just send the updated Erratum here, I will edit it. (I have permission to do that as an Area Director).
>
>> Regards,
>> Dan
>>
>>> On 5/31/2018 3:53 PM, Randall Gellens wrote:
>>> This looks valid to me, how embarrassing.  Good catch by Dan.
>>>
>>> --Randall
>>>
>>>> On 31 May 2018, at 15:18, RFC Errata System wrote:
>>>>
>>>> The following errata report has been submitted for RFC8373,
>>>> "Negotiating Human Language in Real-Time Communications".
>>>>
>>>> --------------------------------------
>>>> You may review the report below and at:
>>>> https://urldefense.proofpoint.com/v2/url?u=http-3A__www.rfc-2Deditor.org_errata_eid5374&d=DwIFAg&c=RoP1YumCXCgaWHvlZYR8PZh8Bv7qIrMUB65eapI_JnE&r=0VbdMrGQGf-tlfWn9X-adLq4-dkTKBPvXTJrOctZN5M&m=Jh1CWX2s1wpYKZbSAH7Jl6e3tJ8-8De8dQR5JjrQqYI&s=1WwYM3rEOeZ8RLY4cfwTxzxrciLwwnPq3M1_L6wyNg4&e=
>>>>
>>>> --------------------------------------
>>>> Type: Technical
>>>> Reported by: Dan Chiba <[email-masked]>
>>>>
>>>> Section: 5.4.
>>>>
>>>> Original Text
>>>> -------------
>>>>     An offer or answer indicating written Greek both ways:
>>>>
>>>>        m=text 45020 RTP/AVP 103 104
>>>>        a=hlang-send:gr
>>>>        a=hlang-recv:gr
>>>>
>>>> Corrected Text
>>>> --------------
>>>>     An offer or answer indicating written Greek both ways:
>>>>
>>>>        m=text 45020 RTP/AVP 103 104
>>>>        a=hlang-send:el
>>>>        a=hlang-recv:el
>>>>
>>>> Notes
>>>> -----
>>>> The language tag to represent Greek is "el" per BCP 47.
>>>>
>>>> The IANA language subtag registry has the following entry for Greek:
>>>>
>>>> Type: language
>>>> Subtag: el
>>>> Description: Modern Greek (1453-)
>>>> Added: 2005-10-16
>>>>
>>>> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.iana.org_assignments_language-2Dsubtag-2Dregistry_language-2Dsubtag-2Dregistry&d=DwIFAg&c=RoP1YumCXCgaWHvlZYR8PZh8Bv7qIrMUB65eapI_JnE&r=0VbdMrGQGf-tlfWn9X-adLq4-dkTKBPvXTJrOctZN5M&m=Jh1CWX2s1wpYKZbSAH7Jl6e3tJ8-8De8dQR5JjrQqYI&s=ZpcAGWHddj413wdsYPucWGP2xvxk6yvhV_eSt5Vv9Y8&e=
>>>>
>>>> Instructions:
>>>> -------------
>>>> This erratum is currently posted as "Reported". If necessary, please
>>>> use "Reply All" to discuss whether it should be verified or
>>>> rejected. When a decision is reached, the verifying party
>>>> can log in to change the status and edit the report, if necessary.
>>>>
>>>> --------------------------------------
>>>> RFC8373 (draft-ietf-slim-negotiating-human-language-24)
>>>> --------------------------------------
>>>> Title               : Negotiating Human Language in Real-Time Communications
>>>> Publication Date    : May 2018
>>>> Author(s)           : R. Gellens
>>>> Category            : PROPOSED STANDARD
>>>> Source              : Selection of Language for Internet Media
>>>> Area                : Applications and Real-Time
>>>> Stream              : IETF
>>>> Verifying Party     : IESG
>>>

---

From: "Randall Gellens" <[email-masked]>
Date: Fri, 01 Jun 2018 18:58:09 -0700

By the way, the draft does correctly use 'es' to refer to Spanish in 
several places before erroneously using 'sp'. It only refers to Greek 
once (and erroneously, as you caught).

--Randall

On 1 Jun 2018, at 8:55, Dan Chiba wrote:

>>> I could certainly file another but feel it better to update this if 
>>> possible. Could you or someone on the list advise?
>> Just send the updated Erratum here, I will edit it. (I have 
>> permission to do that as an Area Director).
>>
>>> Regards,
>>> Dan
>>>

--Randall

---

From: Alexey Melnikov <[email-masked]>
Date: Sun, 10 Jun 2018 20:50:21 +0100

I've created a separate erratum for Spanish instead.